#include <Windows.h>

#define MUTEX_TOUR_CREATE_OWNED_MUTEX	1
#define MUTEX_TOUR_CREATE_UNOWNED_MUTEX	2
#define MUTEX_TOUR_THREAD_WAIT_MUTEX	3
#define MUTEX_TOUR_RELEASE_MUTEX		4
#define MUTEX_TOUR_CLOSE_MUTEX			5

HANDLE mCreateOwnedMutex();
DWORD WINAPI mThreadWaitMutex(LPVOID lp);